Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network111.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
111.232.0.0
Broadcast address
111.239.255.255
First usable
111.232.0.1
Last usable
111.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 6FE80000 · Integer 1877475328 to 1877999615
Reverse DNS zones
232.111.in-addr.arpa
233.111.in-addr.arpa
234.111.in-addr.arpa
235.111.in-addr.arpa
236.111.in-addr.arpa
237.111.in-addr.arpa
238.111.in-addr.arpa
239.111.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101111.11101000.00000000.00000000111.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01101111.11101000.00000000.00000000111.232.0.0
Broadcast01101111.11101111.11111111.11111111111.239.255.255
Split into smaller subnets/21

111.232.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1111.232.0.0/21111.232.0.1 to 111.232.7.254111.232.7.2552,046
2111.232.8.0/21111.232.8.1 to 111.232.15.254111.232.15.2552,046
3111.232.16.0/21111.232.16.1 to 111.232.23.254111.232.23.2552,046
4111.232.24.0/21111.232.24.1 to 111.232.31.254111.232.31.2552,046
5111.232.32.0/21111.232.32.1 to 111.232.39.254111.232.39.2552,046
6111.232.40.0/21111.232.40.1 to 111.232.47.254111.232.47.2552,046
7111.232.48.0/21111.232.48.1 to 111.232.55.254111.232.55.2552,046
8111.232.56.0/21111.232.56.1 to 111.232.63.254111.232.63.2552,046
9111.232.64.0/21111.232.64.1 to 111.232.71.254111.232.71.2552,046
10111.232.72.0/21111.232.72.1 to 111.232.79.254111.232.79.2552,046
11111.232.80.0/21111.232.80.1 to 111.232.87.254111.232.87.2552,046
12111.232.88.0/21111.232.88.1 to 111.232.95.254111.232.95.2552,046
13111.232.96.0/21111.232.96.1 to 111.232.103.254111.232.103.2552,046
14111.232.104.0/21111.232.104.1 to 111.232.111.254111.232.111.2552,046
15111.232.112.0/21111.232.112.1 to 111.232.119.254111.232.119.2552,046
16111.232.120.0/21111.232.120.1 to 111.232.127.254111.232.127.2552,046
17111.232.128.0/21111.232.128.1 to 111.232.135.254111.232.135.2552,046
18111.232.136.0/21111.232.136.1 to 111.232.143.254111.232.143.2552,046
19111.232.144.0/21111.232.144.1 to 111.232.151.254111.232.151.2552,046
20111.232.152.0/21111.232.152.1 to 111.232.159.254111.232.159.2552,046
21111.232.160.0/21111.232.160.1 to 111.232.167.254111.232.167.2552,046
22111.232.168.0/21111.232.168.1 to 111.232.175.254111.232.175.2552,046
23111.232.176.0/21111.232.176.1 to 111.232.183.254111.232.183.2552,046
24111.232.184.0/21111.232.184.1 to 111.232.191.254111.232.191.2552,046
25111.232.192.0/21111.232.192.1 to 111.232.199.254111.232.199.2552,046
26111.232.200.0/21111.232.200.1 to 111.232.207.254111.232.207.2552,046
27111.232.208.0/21111.232.208.1 to 111.232.215.254111.232.215.2552,046
28111.232.216.0/21111.232.216.1 to 111.232.223.254111.232.223.2552,046
29111.232.224.0/21111.232.224.1 to 111.232.231.254111.232.231.2552,046
30111.232.232.0/21111.232.232.1 to 111.232.239.254111.232.239.2552,046
31111.232.240.0/21111.232.240.1 to 111.232.247.254111.232.247.2552,046
32111.232.248.0/21111.232.248.1 to 111.232.255.254111.232.255.2552,046
33111.233.0.0/21111.233.0.1 to 111.233.7.254111.233.7.2552,046
34111.233.8.0/21111.233.8.1 to 111.233.15.254111.233.15.2552,046
35111.233.16.0/21111.233.16.1 to 111.233.23.254111.233.23.2552,046
36111.233.24.0/21111.233.24.1 to 111.233.31.254111.233.31.2552,046
37111.233.32.0/21111.233.32.1 to 111.233.39.254111.233.39.2552,046
38111.233.40.0/21111.233.40.1 to 111.233.47.254111.233.47.2552,046
39111.233.48.0/21111.233.48.1 to 111.233.55.254111.233.55.2552,046
40111.233.56.0/21111.233.56.1 to 111.233.63.254111.233.63.2552,046
41111.233.64.0/21111.233.64.1 to 111.233.71.254111.233.71.2552,046
42111.233.72.0/21111.233.72.1 to 111.233.79.254111.233.79.2552,046
43111.233.80.0/21111.233.80.1 to 111.233.87.254111.233.87.2552,046
44111.233.88.0/21111.233.88.1 to 111.233.95.254111.233.95.2552,046
45111.233.96.0/21111.233.96.1 to 111.233.103.254111.233.103.2552,046
46111.233.104.0/21111.233.104.1 to 111.233.111.254111.233.111.2552,046
47111.233.112.0/21111.233.112.1 to 111.233.119.254111.233.119.2552,046
48111.233.120.0/21111.233.120.1 to 111.233.127.254111.233.127.2552,046
49111.233.128.0/21111.233.128.1 to 111.233.135.254111.233.135.2552,046
50111.233.136.0/21111.233.136.1 to 111.233.143.254111.233.143.2552,046
51111.233.144.0/21111.233.144.1 to 111.233.151.254111.233.151.2552,046
52111.233.152.0/21111.233.152.1 to 111.233.159.254111.233.159.2552,046
53111.233.160.0/21111.233.160.1 to 111.233.167.254111.233.167.2552,046
54111.233.168.0/21111.233.168.1 to 111.233.175.254111.233.175.2552,046
55111.233.176.0/21111.233.176.1 to 111.233.183.254111.233.183.2552,046
56111.233.184.0/21111.233.184.1 to 111.233.191.254111.233.191.2552,046
57111.233.192.0/21111.233.192.1 to 111.233.199.254111.233.199.2552,046
58111.233.200.0/21111.233.200.1 to 111.233.207.254111.233.207.2552,046
59111.233.208.0/21111.233.208.1 to 111.233.215.254111.233.215.2552,046
60111.233.216.0/21111.233.216.1 to 111.233.223.254111.233.223.2552,046
61111.233.224.0/21111.233.224.1 to 111.233.231.254111.233.231.2552,046
62111.233.232.0/21111.233.232.1 to 111.233.239.254111.233.239.2552,046
63111.233.240.0/21111.233.240.1 to 111.233.247.254111.233.247.2552,046
64111.233.248.0/21111.233.248.1 to 111.233.255.254111.233.255.2552,046
65111.234.0.0/21111.234.0.1 to 111.234.7.254111.234.7.2552,046
66111.234.8.0/21111.234.8.1 to 111.234.15.254111.234.15.2552,046
67111.234.16.0/21111.234.16.1 to 111.234.23.254111.234.23.2552,046
68111.234.24.0/21111.234.24.1 to 111.234.31.254111.234.31.2552,046
69111.234.32.0/21111.234.32.1 to 111.234.39.254111.234.39.2552,046
70111.234.40.0/21111.234.40.1 to 111.234.47.254111.234.47.2552,046
71111.234.48.0/21111.234.48.1 to 111.234.55.254111.234.55.2552,046
72111.234.56.0/21111.234.56.1 to 111.234.63.254111.234.63.2552,046
73111.234.64.0/21111.234.64.1 to 111.234.71.254111.234.71.2552,046
74111.234.72.0/21111.234.72.1 to 111.234.79.254111.234.79.2552,046
75111.234.80.0/21111.234.80.1 to 111.234.87.254111.234.87.2552,046
76111.234.88.0/21111.234.88.1 to 111.234.95.254111.234.95.2552,046
77111.234.96.0/21111.234.96.1 to 111.234.103.254111.234.103.2552,046
78111.234.104.0/21111.234.104.1 to 111.234.111.254111.234.111.2552,046
79111.234.112.0/21111.234.112.1 to 111.234.119.254111.234.119.2552,046
80111.234.120.0/21111.234.120.1 to 111.234.127.254111.234.127.2552,046
81111.234.128.0/21111.234.128.1 to 111.234.135.254111.234.135.2552,046
82111.234.136.0/21111.234.136.1 to 111.234.143.254111.234.143.2552,046
83111.234.144.0/21111.234.144.1 to 111.234.151.254111.234.151.2552,046
84111.234.152.0/21111.234.152.1 to 111.234.159.254111.234.159.2552,046
85111.234.160.0/21111.234.160.1 to 111.234.167.254111.234.167.2552,046
86111.234.168.0/21111.234.168.1 to 111.234.175.254111.234.175.2552,046
87111.234.176.0/21111.234.176.1 to 111.234.183.254111.234.183.2552,046
88111.234.184.0/21111.234.184.1 to 111.234.191.254111.234.191.2552,046
89111.234.192.0/21111.234.192.1 to 111.234.199.254111.234.199.2552,046
90111.234.200.0/21111.234.200.1 to 111.234.207.254111.234.207.2552,046
91111.234.208.0/21111.234.208.1 to 111.234.215.254111.234.215.2552,046
92111.234.216.0/21111.234.216.1 to 111.234.223.254111.234.223.2552,046
93111.234.224.0/21111.234.224.1 to 111.234.231.254111.234.231.2552,046
94111.234.232.0/21111.234.232.1 to 111.234.239.254111.234.239.2552,046
95111.234.240.0/21111.234.240.1 to 111.234.247.254111.234.247.2552,046
96111.234.248.0/21111.234.248.1 to 111.234.255.254111.234.255.2552,046
97111.235.0.0/21111.235.0.1 to 111.235.7.254111.235.7.2552,046
98111.235.8.0/21111.235.8.1 to 111.235.15.254111.235.15.2552,046
99111.235.16.0/21111.235.16.1 to 111.235.23.254111.235.23.2552,046
100111.235.24.0/21111.235.24.1 to 111.235.31.254111.235.31.2552,046
101111.235.32.0/21111.235.32.1 to 111.235.39.254111.235.39.2552,046
102111.235.40.0/21111.235.40.1 to 111.235.47.254111.235.47.2552,046
103111.235.48.0/21111.235.48.1 to 111.235.55.254111.235.55.2552,046
104111.235.56.0/21111.235.56.1 to 111.235.63.254111.235.63.2552,046
105111.235.64.0/21111.235.64.1 to 111.235.71.254111.235.71.2552,046
106111.235.72.0/21111.235.72.1 to 111.235.79.254111.235.79.2552,046
107111.235.80.0/21111.235.80.1 to 111.235.87.254111.235.87.2552,046
108111.235.88.0/21111.235.88.1 to 111.235.95.254111.235.95.2552,046
109111.235.96.0/21111.235.96.1 to 111.235.103.254111.235.103.2552,046
110111.235.104.0/21111.235.104.1 to 111.235.111.254111.235.111.2552,046
111111.235.112.0/21111.235.112.1 to 111.235.119.254111.235.119.2552,046
112111.235.120.0/21111.235.120.1 to 111.235.127.254111.235.127.2552,046
113111.235.128.0/21111.235.128.1 to 111.235.135.254111.235.135.2552,046
114111.235.136.0/21111.235.136.1 to 111.235.143.254111.235.143.2552,046
115111.235.144.0/21111.235.144.1 to 111.235.151.254111.235.151.2552,046
116111.235.152.0/21111.235.152.1 to 111.235.159.254111.235.159.2552,046
117111.235.160.0/21111.235.160.1 to 111.235.167.254111.235.167.2552,046
118111.235.168.0/21111.235.168.1 to 111.235.175.254111.235.175.2552,046
119111.235.176.0/21111.235.176.1 to 111.235.183.254111.235.183.2552,046
120111.235.184.0/21111.235.184.1 to 111.235.191.254111.235.191.2552,046
121111.235.192.0/21111.235.192.1 to 111.235.199.254111.235.199.2552,046
122111.235.200.0/21111.235.200.1 to 111.235.207.254111.235.207.2552,046
123111.235.208.0/21111.235.208.1 to 111.235.215.254111.235.215.2552,046
124111.235.216.0/21111.235.216.1 to 111.235.223.254111.235.223.2552,046
125111.235.224.0/21111.235.224.1 to 111.235.231.254111.235.231.2552,046
126111.235.232.0/21111.235.232.1 to 111.235.239.254111.235.239.2552,046
127111.235.240.0/21111.235.240.1 to 111.235.247.254111.235.247.2552,046
128111.235.248.0/21111.235.248.1 to 111.235.255.254111.235.255.2552,046
129111.236.0.0/21111.236.0.1 to 111.236.7.254111.236.7.2552,046
130111.236.8.0/21111.236.8.1 to 111.236.15.254111.236.15.2552,046
131111.236.16.0/21111.236.16.1 to 111.236.23.254111.236.23.2552,046
132111.236.24.0/21111.236.24.1 to 111.236.31.254111.236.31.2552,046
133111.236.32.0/21111.236.32.1 to 111.236.39.254111.236.39.2552,046
134111.236.40.0/21111.236.40.1 to 111.236.47.254111.236.47.2552,046
135111.236.48.0/21111.236.48.1 to 111.236.55.254111.236.55.2552,046
136111.236.56.0/21111.236.56.1 to 111.236.63.254111.236.63.2552,046
137111.236.64.0/21111.236.64.1 to 111.236.71.254111.236.71.2552,046
138111.236.72.0/21111.236.72.1 to 111.236.79.254111.236.79.2552,046
139111.236.80.0/21111.236.80.1 to 111.236.87.254111.236.87.2552,046
140111.236.88.0/21111.236.88.1 to 111.236.95.254111.236.95.2552,046
141111.236.96.0/21111.236.96.1 to 111.236.103.254111.236.103.2552,046
142111.236.104.0/21111.236.104.1 to 111.236.111.254111.236.111.2552,046
143111.236.112.0/21111.236.112.1 to 111.236.119.254111.236.119.2552,046
144111.236.120.0/21111.236.120.1 to 111.236.127.254111.236.127.2552,046
145111.236.128.0/21111.236.128.1 to 111.236.135.254111.236.135.2552,046
146111.236.136.0/21111.236.136.1 to 111.236.143.254111.236.143.2552,046
147111.236.144.0/21111.236.144.1 to 111.236.151.254111.236.151.2552,046
148111.236.152.0/21111.236.152.1 to 111.236.159.254111.236.159.2552,046
149111.236.160.0/21111.236.160.1 to 111.236.167.254111.236.167.2552,046
150111.236.168.0/21111.236.168.1 to 111.236.175.254111.236.175.2552,046
151111.236.176.0/21111.236.176.1 to 111.236.183.254111.236.183.2552,046
152111.236.184.0/21111.236.184.1 to 111.236.191.254111.236.191.2552,046
153111.236.192.0/21111.236.192.1 to 111.236.199.254111.236.199.2552,046
154111.236.200.0/21111.236.200.1 to 111.236.207.254111.236.207.2552,046
155111.236.208.0/21111.236.208.1 to 111.236.215.254111.236.215.2552,046
156111.236.216.0/21111.236.216.1 to 111.236.223.254111.236.223.2552,046
157111.236.224.0/21111.236.224.1 to 111.236.231.254111.236.231.2552,046
158111.236.232.0/21111.236.232.1 to 111.236.239.254111.236.239.2552,046
159111.236.240.0/21111.236.240.1 to 111.236.247.254111.236.247.2552,046
160111.236.248.0/21111.236.248.1 to 111.236.255.254111.236.255.2552,046
161111.237.0.0/21111.237.0.1 to 111.237.7.254111.237.7.2552,046
162111.237.8.0/21111.237.8.1 to 111.237.15.254111.237.15.2552,046
163111.237.16.0/21111.237.16.1 to 111.237.23.254111.237.23.2552,046
164111.237.24.0/21111.237.24.1 to 111.237.31.254111.237.31.2552,046
165111.237.32.0/21111.237.32.1 to 111.237.39.254111.237.39.2552,046
166111.237.40.0/21111.237.40.1 to 111.237.47.254111.237.47.2552,046
167111.237.48.0/21111.237.48.1 to 111.237.55.254111.237.55.2552,046
168111.237.56.0/21111.237.56.1 to 111.237.63.254111.237.63.2552,046
169111.237.64.0/21111.237.64.1 to 111.237.71.254111.237.71.2552,046
170111.237.72.0/21111.237.72.1 to 111.237.79.254111.237.79.2552,046
171111.237.80.0/21111.237.80.1 to 111.237.87.254111.237.87.2552,046
172111.237.88.0/21111.237.88.1 to 111.237.95.254111.237.95.2552,046
173111.237.96.0/21111.237.96.1 to 111.237.103.254111.237.103.2552,046
174111.237.104.0/21111.237.104.1 to 111.237.111.254111.237.111.2552,046
175111.237.112.0/21111.237.112.1 to 111.237.119.254111.237.119.2552,046
176111.237.120.0/21111.237.120.1 to 111.237.127.254111.237.127.2552,046
177111.237.128.0/21111.237.128.1 to 111.237.135.254111.237.135.2552,046
178111.237.136.0/21111.237.136.1 to 111.237.143.254111.237.143.2552,046
179111.237.144.0/21111.237.144.1 to 111.237.151.254111.237.151.2552,046
180111.237.152.0/21111.237.152.1 to 111.237.159.254111.237.159.2552,046
181111.237.160.0/21111.237.160.1 to 111.237.167.254111.237.167.2552,046
182111.237.168.0/21111.237.168.1 to 111.237.175.254111.237.175.2552,046
183111.237.176.0/21111.237.176.1 to 111.237.183.254111.237.183.2552,046
184111.237.184.0/21111.237.184.1 to 111.237.191.254111.237.191.2552,046
185111.237.192.0/21111.237.192.1 to 111.237.199.254111.237.199.2552,046
186111.237.200.0/21111.237.200.1 to 111.237.207.254111.237.207.2552,046
187111.237.208.0/21111.237.208.1 to 111.237.215.254111.237.215.2552,046
188111.237.216.0/21111.237.216.1 to 111.237.223.254111.237.223.2552,046
189111.237.224.0/21111.237.224.1 to 111.237.231.254111.237.231.2552,046
190111.237.232.0/21111.237.232.1 to 111.237.239.254111.237.239.2552,046
191111.237.240.0/21111.237.240.1 to 111.237.247.254111.237.247.2552,046
192111.237.248.0/21111.237.248.1 to 111.237.255.254111.237.255.2552,046
193111.238.0.0/21111.238.0.1 to 111.238.7.254111.238.7.2552,046
194111.238.8.0/21111.238.8.1 to 111.238.15.254111.238.15.2552,046
195111.238.16.0/21111.238.16.1 to 111.238.23.254111.238.23.2552,046
196111.238.24.0/21111.238.24.1 to 111.238.31.254111.238.31.2552,046
197111.238.32.0/21111.238.32.1 to 111.238.39.254111.238.39.2552,046
198111.238.40.0/21111.238.40.1 to 111.238.47.254111.238.47.2552,046
199111.238.48.0/21111.238.48.1 to 111.238.55.254111.238.55.2552,046
200111.238.56.0/21111.238.56.1 to 111.238.63.254111.238.63.2552,046
201111.238.64.0/21111.238.64.1 to 111.238.71.254111.238.71.2552,046
202111.238.72.0/21111.238.72.1 to 111.238.79.254111.238.79.2552,046
203111.238.80.0/21111.238.80.1 to 111.238.87.254111.238.87.2552,046
204111.238.88.0/21111.238.88.1 to 111.238.95.254111.238.95.2552,046
205111.238.96.0/21111.238.96.1 to 111.238.103.254111.238.103.2552,046
206111.238.104.0/21111.238.104.1 to 111.238.111.254111.238.111.2552,046
207111.238.112.0/21111.238.112.1 to 111.238.119.254111.238.119.2552,046
208111.238.120.0/21111.238.120.1 to 111.238.127.254111.238.127.2552,046
209111.238.128.0/21111.238.128.1 to 111.238.135.254111.238.135.2552,046
210111.238.136.0/21111.238.136.1 to 111.238.143.254111.238.143.2552,046
211111.238.144.0/21111.238.144.1 to 111.238.151.254111.238.151.2552,046
212111.238.152.0/21111.238.152.1 to 111.238.159.254111.238.159.2552,046
213111.238.160.0/21111.238.160.1 to 111.238.167.254111.238.167.2552,046
214111.238.168.0/21111.238.168.1 to 111.238.175.254111.238.175.2552,046
215111.238.176.0/21111.238.176.1 to 111.238.183.254111.238.183.2552,046
216111.238.184.0/21111.238.184.1 to 111.238.191.254111.238.191.2552,046
217111.238.192.0/21111.238.192.1 to 111.238.199.254111.238.199.2552,046
218111.238.200.0/21111.238.200.1 to 111.238.207.254111.238.207.2552,046
219111.238.208.0/21111.238.208.1 to 111.238.215.254111.238.215.2552,046
220111.238.216.0/21111.238.216.1 to 111.238.223.254111.238.223.2552,046
221111.238.224.0/21111.238.224.1 to 111.238.231.254111.238.231.2552,046
222111.238.232.0/21111.238.232.1 to 111.238.239.254111.238.239.2552,046
223111.238.240.0/21111.238.240.1 to 111.238.247.254111.238.247.2552,046
224111.238.248.0/21111.238.248.1 to 111.238.255.254111.238.255.2552,046
225111.239.0.0/21111.239.0.1 to 111.239.7.254111.239.7.2552,046
226111.239.8.0/21111.239.8.1 to 111.239.15.254111.239.15.2552,046
227111.239.16.0/21111.239.16.1 to 111.239.23.254111.239.23.2552,046
228111.239.24.0/21111.239.24.1 to 111.239.31.254111.239.31.2552,046
229111.239.32.0/21111.239.32.1 to 111.239.39.254111.239.39.2552,046
230111.239.40.0/21111.239.40.1 to 111.239.47.254111.239.47.2552,046
231111.239.48.0/21111.239.48.1 to 111.239.55.254111.239.55.2552,046
232111.239.56.0/21111.239.56.1 to 111.239.63.254111.239.63.2552,046
233111.239.64.0/21111.239.64.1 to 111.239.71.254111.239.71.2552,046
234111.239.72.0/21111.239.72.1 to 111.239.79.254111.239.79.2552,046
235111.239.80.0/21111.239.80.1 to 111.239.87.254111.239.87.2552,046
236111.239.88.0/21111.239.88.1 to 111.239.95.254111.239.95.2552,046
237111.239.96.0/21111.239.96.1 to 111.239.103.254111.239.103.2552,046
238111.239.104.0/21111.239.104.1 to 111.239.111.254111.239.111.2552,046
239111.239.112.0/21111.239.112.1 to 111.239.119.254111.239.119.2552,046
240111.239.120.0/21111.239.120.1 to 111.239.127.254111.239.127.2552,046
241111.239.128.0/21111.239.128.1 to 111.239.135.254111.239.135.2552,046
242111.239.136.0/21111.239.136.1 to 111.239.143.254111.239.143.2552,046
243111.239.144.0/21111.239.144.1 to 111.239.151.254111.239.151.2552,046
244111.239.152.0/21111.239.152.1 to 111.239.159.254111.239.159.2552,046
245111.239.160.0/21111.239.160.1 to 111.239.167.254111.239.167.2552,046
246111.239.168.0/21111.239.168.1 to 111.239.175.254111.239.175.2552,046
247111.239.176.0/21111.239.176.1 to 111.239.183.254111.239.183.2552,046
248111.239.184.0/21111.239.184.1 to 111.239.191.254111.239.191.2552,046
249111.239.192.0/21111.239.192.1 to 111.239.199.254111.239.199.2552,046
250111.239.200.0/21111.239.200.1 to 111.239.207.254111.239.207.2552,046
251111.239.208.0/21111.239.208.1 to 111.239.215.254111.239.215.2552,046
252111.239.216.0/21111.239.216.1 to 111.239.223.254111.239.223.2552,046
253111.239.224.0/21111.239.224.1 to 111.239.231.254111.239.231.2552,046
254111.239.232.0/21111.239.232.1 to 111.239.239.254111.239.239.2552,046
255111.239.240.0/21111.239.240.1 to 111.239.247.254111.239.247.2552,046
256111.239.248.0/21111.239.248.1 to 111.239.255.254111.239.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses